POST api/Products/SaveProduct
Request Information
URI Parameters
None.
Body Parameters
CreateProductViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ProductId | integer |
None. |
|
| ProductName | string |
None. |
|
| Description | string |
None. |
|
| OwnerId | string |
None. |
|
| OwnerName | string |
None. |
|
| Zip | string |
None. |
|
| Price | decimal number |
None. |
|
| IsEnsemble | boolean |
None. |
|
| ConditionId | integer |
None. |
|
| ConditionName | string |
None. |
|
| DisplaySchemeTypeId | integer |
None. |
|
| DisplaySchemeTypeName | string |
None. |
|
| PackageSizeTypeId | integer |
None. |
|
| PackageSizeTypeName | string |
None. |
|
| CategoryId | integer |
None. |
|
| CategoryName | string |
None. |
|
| Created | date |
None. |
|
| WeightPackageId | integer |
None. |
|
| WeightPackageName | string |
None. |
|
| IsCustomType | boolean |
None. |
|
| Brand | string |
None. |
|
| BrandId | integer |
None. |
|
| IsOnlySet | boolean |
None. |
|
| IsFeatured | boolean |
None. |
|
| Files | Collection of SystemFileViewModel |
None. |
|
| AddressId | integer |
None. |
|
| City | string |
None. |
|
| State | string |
None. |
|
| Country | string |
None. |
|
| StreetAddress | string |
None. |
|
| PhoneNumber | string |
None. |
|
| FullName | string |
None. |
|
| AddressType | string |
None. |
|
| SoldPrice | decimal number |
None. |
|
| Slug | string |
None. |
|
| ShippingFromZip | string |
None. |
|
| HasFileToUpload | boolean |
None. |
|
| Genres | Collection of IdNameViewModel |
None. |
|
| Styles | Collection of IdNameViewModel |
None. |
|
| TypeIds | Collection of IdNameViewModel |
None. |
|
| ItemsData | Collection of ProductSelection |
None. |
Request Formats
application/json, text/json
Sample:
{
"productId": 1,
"productName": "sample string 1",
"description": "sample string 2",
"ownerId": "sample string 3",
"ownerName": "sample string 4",
"zip": "sample string 5",
"price": 6.0,
"isEnsemble": true,
"conditionId": 1,
"conditionName": "sample string 7",
"displaySchemeTypeId": 1,
"displaySchemeTypeName": "sample string 8",
"packageSizeTypeId": 1,
"packageSizeTypeName": "sample string 9",
"categoryId": 1,
"categoryName": "sample string 10",
"created": "2026-03-04T16:33:25.6859708Z",
"weightPackageId": 1,
"weightPackageName": "sample string 11",
"isCustomType": true,
"brand": "sample string 12",
"brandId": 1,
"isOnlySet": true,
"isFeatured": true,
"files": [
{
"id": 1,
"url": "sample string 1",
"name": "sample string 2",
"isPrincipal": true,
"type": "sample string 3",
"fileBase64": "sample string 4",
"snapshotUrl": "sample string 5",
"presignedUploadURL": "sample string 6",
"snapshotPresignedUploadURL": "sample string 7"
},
{
"id": 1,
"url": "sample string 1",
"name": "sample string 2",
"isPrincipal": true,
"type": "sample string 3",
"fileBase64": "sample string 4",
"snapshotUrl": "sample string 5",
"presignedUploadURL": "sample string 6",
"snapshotPresignedUploadURL": "sample string 7"
}
],
"addressId": 1,
"city": "sample string 13",
"state": "sample string 14",
"country": "sample string 15",
"streetAddress": "sample string 16",
"phoneNumber": "sample string 17",
"fullName": "sample string 18",
"addressType": "sample string 19",
"soldPrice": 20.0,
"slug": "sample string 21",
"shippingFromZip": "sample string 22",
"hasFileToUpload": true,
"genres": [
{
"id": 1,
"name": "sample string 1"
},
{
"id": 1,
"name": "sample string 1"
}
],
"styles": [
{
"id": 1,
"name": "sample string 1"
},
{
"id": 1,
"name": "sample string 1"
}
],
"typeIds": [
{
"id": 1,
"name": "sample string 1"
},
{
"id": 1,
"name": "sample string 1"
}
],
"itemsData": [
{
"quantity": 1,
"totalQuantity": 1,
"color": {
"id": 1,
"name": "sample string 1"
},
"size": {
"id": 1,
"name": "sample string 1"
},
"tag": {
"id": 1,
"name": "sample string 1"
}
},
{
"quantity": 1,
"totalQuantity": 1,
"color": {
"id": 1,
"name": "sample string 1"
},
"size": {
"id": 1,
"name": "sample string 1"
},
"tag": {
"id": 1,
"name": "sample string 1"
}
}
]
}
application/xml, text/xml
Sample:
<CreateProductViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
<AddressId>1</AddressId>
<AddressType>sample string 19</AddressType>
<Brand>sample string 12</Brand>
<BrandId>1</BrandId>
<CategoryId>1</CategoryId>
<CategoryName>sample string 10</CategoryName>
<City>sample string 13</City>
<ConditionId>1</ConditionId>
<ConditionName>sample string 7</ConditionName>
<Country>sample string 15</Country>
<Created>2026-03-04T16:33:25.6859708Z</Created>
<Description>sample string 2</Description>
<DisplaySchemeTypeId>1</DisplaySchemeTypeId>
<DisplaySchemeTypeName>sample string 8</DisplaySchemeTypeName>
<Files>
<SystemFileViewModel>
<FileBase64>sample string 4</FileBase64>
<Id>1</Id>
<IsPrincipal>true</IsPrincipal>
<Name>sample string 2</Name>
<PresignedUploadURL>sample string 6</PresignedUploadURL>
<SnapshotPresignedUploadURL>sample string 7</SnapshotPresignedUploadURL>
<SnapshotUrl>sample string 5</SnapshotUrl>
<Type>sample string 3</Type>
<URL>sample string 1</URL>
</SystemFileViewModel>
<SystemFileViewModel>
<FileBase64>sample string 4</FileBase64>
<Id>1</Id>
<IsPrincipal>true</IsPrincipal>
<Name>sample string 2</Name>
<PresignedUploadURL>sample string 6</PresignedUploadURL>
<SnapshotPresignedUploadURL>sample string 7</SnapshotPresignedUploadURL>
<SnapshotUrl>sample string 5</SnapshotUrl>
<Type>sample string 3</Type>
<URL>sample string 1</URL>
</SystemFileViewModel>
</Files>
<FullName>sample string 18</FullName>
<Genres>
<IdNameViewModel>
<Id>1</Id>
<Name>sample string 1</Name>
</IdNameViewModel>
<IdNameViewModel>
<Id>1</Id>
<Name>sample string 1</Name>
</IdNameViewModel>
</Genres>
<HasFileToUpload>true</HasFileToUpload>
<IsCustomType>true</IsCustomType>
<IsEnsemble>true</IsEnsemble>
<IsFeatured>true</IsFeatured>
<IsOnlySet>true</IsOnlySet>
<ItemsData>
<ProductSelection>
<Color>
<Id>1</Id>
<Name>sample string 1</Name>
</Color>
<Quantity>1</Quantity>
<Size>
<Id>1</Id>
<Name>sample string 1</Name>
</Size>
<Tag>
<Id>1</Id>
<Name>sample string 1</Name>
</Tag>
<TotalQuantity>1</TotalQuantity>
</ProductSelection>
<ProductSelection>
<Color>
<Id>1</Id>
<Name>sample string 1</Name>
</Color>
<Quantity>1</Quantity>
<Size>
<Id>1</Id>
<Name>sample string 1</Name>
</Size>
<Tag>
<Id>1</Id>
<Name>sample string 1</Name>
</Tag>
<TotalQuantity>1</TotalQuantity>
</ProductSelection>
</ItemsData>
<OwnerId>sample string 3</OwnerId>
<OwnerName>sample string 4</OwnerName>
<PackageSizeTypeId>1</PackageSizeTypeId>
<PackageSizeTypeName>sample string 9</PackageSizeTypeName>
<PhoneNumber>sample string 17</PhoneNumber>
<Price>6</Price>
<ProductId>1</ProductId>
<ProductName>sample string 1</ProductName>
<ShippingFromZip>sample string 22</ShippingFromZip>
<Slug>sample string 21</Slug>
<SoldPrice>20</SoldPrice>
<State>sample string 14</State>
<StreetAddress>sample string 16</StreetAddress>
<Styles>
<IdNameViewModel>
<Id>1</Id>
<Name>sample string 1</Name>
</IdNameViewModel>
<IdNameViewModel>
<Id>1</Id>
<Name>sample string 1</Name>
</IdNameViewModel>
</Styles>
<TypeIds>
<IdNameViewModel>
<Id>1</Id>
<Name>sample string 1</Name>
</IdNameViewModel>
<IdNameViewModel>
<Id>1</Id>
<Name>sample string 1</Name>
</IdNameViewModel>
</TypeIds>
<WeightPackageId>1</WeightPackageId>
<WeightPackageName>sample string 11</WeightPackageName>
<Zip>sample string 5</Zip>
</CreateProductViewModel>
multipart/form-data
Sample:
<CreateProductViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><AddressId>1</AddressId><AddressType>sample string 19</AddressType><Brand>sample string 12</Brand><BrandId>1</BrandId><CategoryId>1</CategoryId><CategoryName>sample string 10</CategoryName><City>sample string 13</City><ConditionId>1</ConditionId><ConditionName>sample string 7</ConditionName><Country>sample string 15</Country><Created>2026-03-04T16:33:25.6859708Z</Created><Description>sample string 2</Description><DisplaySchemeTypeId>1</DisplaySchemeTypeId><DisplaySchemeTypeName>sample string 8</DisplaySchemeTypeName><Files><SystemFileViewModel><FileBase64>sample string 4</FileBase64><Id>1</Id><IsPrincipal>true</IsPrincipal><Name>sample string 2</Name><PresignedUploadURL>sample string 6</PresignedUploadURL><SnapshotPresignedUploadURL>sample string 7</SnapshotPresignedUploadURL><SnapshotUrl>sample string 5</SnapshotUrl><Type>sample string 3</Type><URL>sample string 1</URL></SystemFileViewModel><SystemFileViewModel><FileBase64>sample string 4</FileBase64><Id>1</Id><IsPrincipal>true</IsPrincipal><Name>sample string 2</Name><PresignedUploadURL>sample string 6</PresignedUploadURL><SnapshotPresignedUploadURL>sample string 7</SnapshotPresignedUploadURL><SnapshotUrl>sample string 5</SnapshotUrl><Type>sample string 3</Type><URL>sample string 1</URL></SystemFileViewModel></Files><FullName>sample string 18</FullName><Genres><IdNameViewModel><Id>1</Id><Name>sample string 1</Name></IdNameViewModel><IdNameViewModel><Id>1</Id><Name>sample string 1</Name></IdNameViewModel></Genres><HasFileToUpload>true</HasFileToUpload><IsCustomType>true</IsCustomType><IsEnsemble>true</IsEnsemble><IsFeatured>true</IsFeatured><IsOnlySet>true</IsOnlySet><ItemsData><ProductSelection><Color><Id>1</Id><Name>sample string 1</Name></Color><Quantity>1</Quantity><Size><Id>1</Id><Name>sample string 1</Name></Size><Tag><Id>1</Id><Name>sample string 1</Name></Tag><TotalQuantity>1</TotalQuantity></ProductSelection><ProductSelection><Color><Id>1</Id><Name>sample string 1</Name></Color><Quantity>1</Quantity><Size><Id>1</Id><Name>sample string 1</Name></Size><Tag><Id>1</Id><Name>sample string 1</Name></Tag><TotalQuantity>1</TotalQuantity></ProductSelection></ItemsData><OwnerId>sample string 3</OwnerId><OwnerName>sample string 4</OwnerName><PackageSizeTypeId>1</PackageSizeTypeId><PackageSizeTypeName>sample string 9</PackageSizeTypeName><PhoneNumber>sample string 17</PhoneNumber><Price>6</Price><ProductId>1</ProductId><ProductName>sample string 1</ProductName><ShippingFromZip>sample string 22</ShippingFromZip><Slug>sample string 21</Slug><SoldPrice>20</SoldPrice><State>sample string 14</State><StreetAddress>sample string 16</StreetAddress><Styles><IdNameViewModel><Id>1</Id><Name>sample string 1</Name></IdNameViewModel><IdNameViewModel><Id>1</Id><Name>sample string 1</Name></IdNameViewModel></Styles><TypeIds><IdNameViewModel><Id>1</Id><Name>sample string 1</Name></IdNameViewModel><IdNameViewModel><Id>1</Id><Name>sample string 1</Name></IdNameViewModel></TypeIds><WeightPackageId>1</WeightPackageId><WeightPackageName>sample string 11</WeightPackageName><Zip>sample string 5</Zip></CreateProductViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, multipart/form-data
Sample:
Sample not available.